Summary: Create new database with all stuff needed by logserver.
Name: op5-postgresql-config
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Immaterial Works License
Prefix: /opt/logserver/postgresql-config
Group: op5/logserver
Source: %name-%version.tar.gz
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
%if 0%{?suse_version}
Requires: postgresql84 postgresql84-server postgresql-init = 8.4
%else
Requires: postgresql-server >= 8.4.0 postgresql >= 8.4.0
%endif

%description
Copy new configuration files to postgresql data directory.

%prep
tar xzvf %_sourcedir/%name-%version.tar.gz

%build

%install
rm -rf %buildroot
mkdir %buildroot
install -d %{buildroot}%prefix

install -p -m 600 %name-%version/pg_hba.conf %{buildroot}%prefix
install -p -m 600 %name-%version/.i18n %{buildroot}%prefix
install -p -m 755 %name-%version/install_script.sh %{buildroot}%prefix

%clean
rm -rf %buildroot

%post
if [ "$1" -eq 1 ]
then
    %prefix/install_script.sh install %prefix;
else
    %prefix/install_script.sh upgrade %prefix;
fi

%preun

if [ "$1" -eq 0 ]
then
    %prefix/install_script.sh uninstall %prefix;
else
    %prefix/install_script.sh renew %prefix;
fi

%files
%defattr(-,root,root)
%attr(600, postgres, postgres) %prefix/pg_hba.conf
%attr(600, postgres, postgres) %prefix/.i18n
%attr(755, root, root) %prefix/install_script.sh

%changelog
* Mon May 6 2008 Serhij Batsevych <sbatsevych@n-ix.com.ua>
- Initital RPM packaging

